package com.cpms.project.safety.service;


import com.cpms.project.safety.domain.TSafetyRecord;

import java.util.List;

/**
 * 洗眼器检查记录Service接口
 *
 * @author ruoyi
 * @date 2023-05-25
 */
public interface ITSafetyRecordService
{
    /**
     * 查询洗眼器检查记录
     *
     * @param id 洗眼器检查记录主键
     * @return 洗眼器检查记录
     */
    public TSafetyRecord selectTSafetyRecordById(Long id);

    /**
     * 查询洗眼器检查记录列表
     *
     * @param tSafetyRecord 洗眼器检查记录
     * @return 洗眼器检查记录集合
     */
    public List<TSafetyRecord> selectTSafetyRecordList(TSafetyRecord tSafetyRecord);

    /**
     * 新增洗眼器检查记录
     *
     * @param tSafetyRecord 洗眼器检查记录
     * @return 结果
     */
    public int insertTSafetyRecord(TSafetyRecord tSafetyRecord);

    /**
     * 修改洗眼器检查记录
     *
     * @param tSafetyRecord 洗眼器检查记录
     * @return 结果
     */
    public int updateTSafetyRecord(TSafetyRecord tSafetyRecord);

    /**
     * 批量删除洗眼器检查记录
     *
     * @param ids 需要删除的洗眼器检查记录主键集合
     * @return 结果
     */
    public int deleteTSafetyRecordByIds(Long[] ids);

    /**
     * 删除洗眼器检查记录信息
     *
     * @param id 洗眼器检查记录主键
     * @return 结果
     */
    public int deleteTSafetyRecordById(Long id);
}
